PHP Manual
Prev |  | Next

# trim

(PHP 3, PHP 4, PHP 5)

trim -- Strip whitespace (or other characters) from the beginning and end of a string

## Description

string trim ( string str [, string charlist] )

This function returns a string with whitespace stripped from the beginning and end of str. Without the second parameter, trim() will strip these characters:

- " " (ASCII 32 (0x20)), an ordinary space.

- "\t" (ASCII 9 (0x09)), a tab.

- "\n" (ASCII 10 (0x0A)), a new line (line feed).

- "\r" (ASCII 13 (0x0D)), a carriage return.

- "\0" (ASCII 0 (0x00)), the NUL-byte.

- "\x0B" (ASCII 11 (0x0B)), a vertical tab.

## Parameters

str

  The string that will be trimmed.

charlist

  Optionally, the stripped characters can also be specified using the charlist parameter. Simply list all characters that you want to be stripped. With .. you can specify a range of characters.

## Return Values

The trimmed string.

## ChangeLog

Version | Description
--- | ---
4.1.0 | The optional charlist parameter was added.

## Examples

Example 1. Usage example of trim()
`<?php $text = "\t\tThese are a few words :) ... "; echo trim($text); // "These are a few words :) ..." echo trim($text, " \t."); // "These are a few words :)" // trim the ASCII control characters at the beginning and end of $binary // (from 0 to 31 inclusive) $clean = trim($binary, "\x00..\x1F"); ?>`

Example 2. Trimming array values with trim()
`<?php function trim_value(&$value) { $value = trim($value); } $fruit = array('apple','banana ', ' cranberry '); var_dump($fruit); array_walk($fruit, 'trim_value'); var_dump($fruit); ?>`
The above example will output:
    array(3) {
      [0]=>
      string(5) "apple"
      [1]=>
      string(7) "banana "
      [2]=>
      string(11) " cranberry "
    }
    array(3) {
      [0]=>
      string(5) "apple"
      [1]=>
      string(6) "banana"
      [2]=>
      string(9) "cranberry"
    }

## See Also

ltrim()
rtrim()

Prev | Home | Next
substr | Up | ucfirst